net.sf.saxon.tree.linked

## Class TextImpl

- java.lang.Object
- - net.sf.saxon.tree.linked.NodeImpl
  - - net.sf.saxon.tree.linked.TextImpl

- All Implemented Interfaces:
    Source, SourceLocator, PullEvent, FingerprintedNode, Item, MutableNodeInfo, NodeInfo, Sequence, SteppingNode, SiblingCountingNode
  Direct Known Subclasses:
    TextValueTemplateNode

      public class TextImpl
      extends NodeImpl

  A node in the XML parse tree representing character content

  Author:
    Michael H. Kay

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.linked.NodeImpl

      `NODE_LETTER`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextImpl(String content)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendStringValue(String content)` Append to the content of the text node
    `void` | `copy(Receiver out, int copyOptions, int locationId)` Copy this node to a given outputter
    `int` | `getNodeKind()` Return the type of node.
    `String` | `getStringValue()` Return the character value of the node.
    `void` | `replaceStringValue(CharSequence stringValue)` Replace the string-value of this node

    - ### Methods inherited from class net.sf.saxon.tree.linked.NodeImpl

      `addAttribute, addNamespace, atomize, compareOrder, comparePosition, delete, equals, generateId, getAttributeValue, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getFirstChild, getLastChild, getLineNumber, getLocalPart, getNameCode, getNamePool, getNextInDocument, getNextSibling, getParent, getPhysicalRoot, getPrefix, getPreviousInDocument, getPreviousSibling, getPublicId, getRawParent, getRoot, getSchemaType, getSequenceNumber, getSiblingPosition, getStringValueCS, getSuccessorElement, getSystemId, getTypeAnnotation, getURI, hasChildNodes, head, insertChildren, insertSiblings, isDeleted, isId, isIdref, isNilled, isSameNodeInfo, iterate, iterateAxis, iterateAxis, newBuilder, removeAttribute, removeTypeAnnotation, rename, replace, setRawParent, setSiblingPosition, setSystemId, setTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `hashCode`

- - ### Constructor Detail

    - #### TextImpl

          public TextImpl(String content)

  - ### Method Detail

    - #### appendStringValue

          public void appendStringValue(String content)

      Append to the content of the text node
      Parameters:
        `content` - the new content to be appended

    - #### getStringValue

          public String getStringValue()

      Return the character value of the node.
      Returns:
        the string value of the node
      See Also:
        `Item.getStringValueCS()`

    - #### getNodeKind

          public final int getNodeKind()

      Return the type of node.
      Returns:
        Type.TEXT
      See Also:
        `Type`

    - #### copy

          public void copy(Receiver out,
                  int copyOptions,
                  int locationId)
                    throws XPathException

      Copy this node to a given outputter
      Parameters:
        `out` - the Receiver to which the node should be copied. It is the caller's responsibility to ensure that this Receiver is open before the method is called (or that it is self-opening), and that it is closed after use.
        `copyOptions` - a selection of the options defined in `CopyOptions`
        `locationId` - If non-zero, identifies the location of the instruction that requested this copy. If zero, indicates that the location information
      Throws:
        `XPathException` - if any downstream error occurs

    - #### replaceStringValue

          public void replaceStringValue(CharSequence stringValue)

      Replace the string-value of this node
      Parameters:
        `stringValue` - the new string value

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.